Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.portlet
Enum StandalonePortletURL.ContentMode

    java.lang.Object
      java.lang.Enum<StandalonePortletURL.ContentMode>
          com.bea.portlet.StandalonePortletURL.ContentMode

All Implemented Interfaces
  Serializable, Comparable<StandalonePortletURL.ContentMode>

Enclosing class:
  StandalonePortletURL

    public static enum StandalonePortletURL.ContentMode

extends Enum<StandalonePortletURL.ContentMode>

Enumeration of valid values for the `StandalonePortletURL.KEY_CONTENT_MODE` parameter

Enum Constant Summary
`FRAGMENT` Portlet content will be rendered as a HTML fragment
`FULL` Portlet content will be rendered as a full HTML document

Method Summary
`static StandalonePortletURL.ContentMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StandalonePortletURL.ContentMode[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FULL

    public static final StandalonePortletURL.ContentMode FULL

  Portlet content will be rendered as a full HTML document

### FRAGMENT

    public static final StandalonePortletURL.ContentMode FRAGMENT

  Portlet content will be rendered as a HTML fragment

Method Detail

### values

    public static final StandalonePortletURL.ContentMode[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static StandalonePortletURL.ContentMode valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved